# Behavioral Strategy measurement spec template (machine-readable)
version: 1
type: measurement_spec
target_behavior:
  population: ""
  action: ""
  context: ""
  window: ""              # e.g., "within 24 hours of signup"
denominator: ""           # e.g., "all new accounts created"
windows:
  primary: ""             # e.g., "first 7 days"
  retention:
    d30: ""               # e.g., "30 days"
    d180: ""              # e.g., "180 days"
instrumentation:
  events:
    exposure_shown:
      required_properties: ["surface", "variant", "timestamp"]
    behavior_attempt_started:
      required_properties: ["behavior_id", "context", "timestamp"]
    behavior_completed:
      required_properties: ["behavior_id", "context", "timestamp", "success"]
    behavior_abandoned:
      required_properties: ["behavior_id", "context", "step", "timestamp"]
metrics:
  delta_b:
    definition: "Change in target behavior completion rate vs baseline, reported in percentage points (pp) with denominator and window."
  ttfb:
    definition: "Elapsed time from exposure/start to first valid completion of target behavior."
  retention:
    definition: "Behavior retention (e.g., D30/D180) of the target behavior with cohorting and denominators."
success_criteria:
  completion_rate_pp: ""   # pre-registered threshold; mark as example if not sourced
  ttfb_median: ""          # pre-registered threshold; domain-specific
  retention_d30_pp: ""     # pre-registered threshold
reporting:
  cadence: "weekly"
  evidence_ids:
    - ""
